Dynalinks
API keys

Create a new API key for a project

POST
/api_keys
Manage a project's API keys. Requires a master API key. Experimental: the request and response shapes may still change.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Query Parameters

project_id*string

UUID of the project to create API key for

Request Body

API key object to be created

application/json
  1. body
key?

Response Body

API key created successfully

application/json
  1. response
id?string

UUID of the API key

Formatuuid
scopes?array<string>

Array of scopes assigned to this API key

token?string

The API key token

created_at?string

When the API key was created

Formatdate-time
updated_at?string

When the API key was last updated

Formatdate-time
Example Request
curl -X POST 'https://dynalinks.app/api/v1/api_keys?project_id=string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "scopes": [    "string"  ],  "token": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}